Subject: Re: [core-updates] Boost 1.70 and CMake 3.14 are incompatible

From: Marius Bakke <[email-masked]>
Date: Wed, 31 Jul 2019 15:01:26 +0200

Marius Bakke <[email-masked]> writes:

> Hello,
>
> Reporting from the deep trenches of core-updates, I have found this bug:
>
> https://gitlab.kitware.com/cmake/cmake/issues/18865
>
> The symptom in Guix is that packages cannot find Boost libraries.
>
> A workaround that works for most (all?) packages is adding:
>
>  #:configure-flags '("-DBoost_NO_BOOST_CMAKE=ON")
>
> To disable the use of Boost-provided CMake scripts.  CMake already ships
> with a FindBoost.cmake that works just fine.
>
> I don't know what the "proper" fix would be, or whether it is worth a
> huge rebuild.

Apparently the Boost CMake modules are new in 1.70 and pretty broken.

Commit 941ef1a1e54893ca917ebbaa4b8cc14b5ce9b75c disables installing the
Boost CMake modules, bringing it in line with 1.69.0.

They can (allegedly) be enabled again for 1.71.0, slated for mid-August.